{
  "extends": "standard",
  "parser": "babel-eslint",
  "parserOptions": {
    "ecmaVersion": 2017,
    "experimentalObjectRestSpread": true
  },
  "env": {
    "es6": true,
    "node": true,
    "mocha": true
  },
  "globals": {
    "logger": true,
    "eventService": true,
    "cache": true,
    "__": true,
    "Generator": true
  },
  "plugins": [
    "chai-friendly",
    "flowtype",
    "import"
  ],
  "rules": {
    "no-unused-expressions": 0,
    "chai-friendly/no-unused-expressions": 2,
    "indent": [
      "error",
      2
    ],
    "quotes": [
      2,
      "single"
    ],
    "array-bracket-newline": [
      "error",
      {
        "multiline": true
      }
    ],
    "space-before-function-paren": [
      "error",
      "always"
    ], 
    "prefer-const": ["error", {
      "destructuring": "all",
      "ignoreReadBeforeAssign": false
    }]
  }
}